Subject: Re: bug#32927: 27.0.50; libxml not found when building on macOS Mojave

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Fri, 05 Oct 2018 09:34:48 +0900

tags 32927 notabug
close 32927
quit

On Fri, 05 Oct 2018 06:22:22 +0900,
Philipp Stephani wrote:

> Yes, looks like this is the problem:
> 
> $ pkg-config --cflags --libs "libxml-2.0 > 2.6.17"
> 
> -I/usr/include/libxml2 -lxml2
> 
> $ pkg-config --variable pcfiledir "libxml-2.0 > 2.6.17"
> 
> /usr/local/Homebrew/Library/Homebrew/os/mac/pkgconfig/10.12

The file libxml-2.0.pc there (installed via Homebrew?) does not make
sense (and actually does harm) unless the header files are installed
into /usr/include.  You can do that by following the workaround
mentioned in the Xcode release notes, but I'm not sure this is the way
intended by the Homebrew developers (and I'm not using Homebrew).
Maybe you want to ask it at some Homebrew forum.

Anyway, this is not a bug in Emacs.  Closing.

				     YAMAMOTO Mitsuharu
				[email-masked]